Bug 162928 - up2date and rhn-applet don't function together
up2date and rhn-applet don't function together
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: up2date (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Bret McMillan
Fanny Augustin
http://download.fedora.redhat.com/pub...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-07-11 14:13 EDT by Niksa Jurinovic
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-11-05 11:30:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Niksa Jurinovic 2005-07-11 14:13:26 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.2; .NET CLR 1.1.4322)

Description of problem:
up2date is not functioning with FC4. The up2date applet (RedHat 
notification alert) always indicates that the system is up to date (blue 
color), even when it is not (as checked with yum update). rhnsd daemon is not running. With FC3 the up2date applet still works properly (red color when updates are available). When started directly, up2date correctly detects and downloads available packages. The first-time registration process with up2date is very confused and complicated and it seems as being "do-nothing job".

Version-Release number of selected component (if applicable):
up2date-4.4.23-4.i386.rpm, rhn-applet-2.1.17-3.i386.rpm 

How reproducible:
Always

Steps to Reproduce:
1. Install FC4 and watch your desktop
2. Click on the red rhn-applet (this is the first and last time you see it red)
3. Very confused "registration" process begins. After a few seconds the applet becomes blue and remain blue forever (rhnsd daemon is not running when started)  
  

Additional info:
Comment 1 John Thacker 2006-10-29 15:29:08 EST
up2date was replaced by pirut and put (package pirut) as of FC5.  Only FC5 and
FC6 are currently fully supported; FC3 and FC4 are supported for security fixes
only.  If this bug occurs in FC3 or FC4 and is a security bug, please change the
product to Fedora Extras and the version to match.  If you can verify that the
bug exists in RHEL as well, please change the product and version appropriately.

The codebase for pirut and pup is quite different, but if a similar bug exists
in pirut and pup in FC5 or FC6, please change the product to pirut and the
version appropriately and update the bug report.

We apologize that the bug was not fixed before now.  The status will be changed
to NEEDINFO, and if the bug is not updated with evidence that it is a security
bug or a bug that affects RHEL, it will be closed.
Comment 2 John Thacker 2006-11-05 11:30:33 EST
Closing per previous message.

Note You need to log in before you can comment on or make changes to this bug.